# This file was automatically created by FeynRules 1.6.14
# Mathematica version: 9.0 for Mac OS X x86 (64-bit) (January 24, 2013)
# Date: Tue 18 Jun 2013 14:40:55



from object_library import all_parameters, Parameter


from function_library import complexconjugate, re, im, csc, sec, acsc, asec

# This is a default parameter object representing 0.
ZERO = Parameter(name = 'ZERO',
                 nature = 'internal',
                 type = 'real',
                 value = '0.0',
                 texname = '0')

# User-defined parameters.
CKM11 = Parameter(name = 'CKM11',
                  nature = 'external',
                  type = 'complex',
                  value = 0.97428,
                  texname = '\\text{CKM11}',
                  lhablock = 'CKMBlock',
                  lhacode = [ 1, 1 ])

CKM12 = Parameter(name = 'CKM12',
                  nature = 'external',
                  type = 'complex',
                  value = 0.2253,
                  texname = '\\text{CKM12}',
                  lhablock = 'CKMBlock',
                  lhacode = [ 1, 2 ])

CKM13 = Parameter(name = 'CKM13',
                  nature = 'external',
                  type = 'complex',
                  value = 0.00347,
                  texname = '\\text{CKM13}',
                  lhablock = 'CKMBlock',
                  lhacode = [ 1, 3 ])

CKM21 = Parameter(name = 'CKM21',
                  nature = 'external',
                  type = 'complex',
                  value = 0.2252,
                  texname = '\\text{CKM21}',
                  lhablock = 'CKMBlock',
                  lhacode = [ 2, 1 ])

CKM22 = Parameter(name = 'CKM22',
                  nature = 'external',
                  type = 'complex',
                  value = 0.97345,
                  texname = '\\text{CKM22}',
                  lhablock = 'CKMBlock',
                  lhacode = [ 2, 2 ])

CKM23 = Parameter(name = 'CKM23',
                  nature = 'external',
                  type = 'complex',
                  value = 0.041,
                  texname = '\\text{CKM23}',
                  lhablock = 'CKMBlock',
                  lhacode = [ 2, 3 ])

CKM31 = Parameter(name = 'CKM31',
                  nature = 'external',
                  type = 'complex',
                  value = 0.00862,
                  texname = '\\text{CKM31}',
                  lhablock = 'CKMBlock',
                  lhacode = [ 3, 1 ])

CKM32 = Parameter(name = 'CKM32',
                  nature = 'external',
                  type = 'complex',
                  value = 0.0403,
                  texname = '\\text{CKM32}',
                  lhablock = 'CKMBlock',
                  lhacode = [ 3, 2 ])

CKM33 = Parameter(name = 'CKM33',
                  nature = 'external',
                  type = 'complex',
                  value = 0.999152,
                  texname = '\\text{CKM33}',
                  lhablock = 'CKMBlock',
                  lhacode = [ 3, 3 ])

Gvl = Parameter(name = 'Gvl',
                nature = 'external',
                type = 'real',
                value = 1,
                texname = 'g_{\\text{VL}}',
                lhablock = 'Gvl',
                lhacode = [ 1 ])

gstar = Parameter(name = 'gstar',
                  nature = 'external',
                  type = 'real',
                  value = 0.1,
                  texname = '\\text{gstar}',
                  lhablock = 'Kappa',
                  lhacode = [ 1 ])

aEWM1 = Parameter(name = 'aEWM1',
                  nature = 'external',
                  type = 'real',
                  value = 127.9,
                  texname = '\\text{aEWM1}',
                  lhablock = 'SMINPUTS',
                  lhacode = [ 1 ])

Gf = Parameter(name = 'Gf',
               nature = 'external',
               type = 'real',
               value = 0.00001166,
               texname = 'G_f',
               lhablock = 'SMINPUTS',
               lhacode = [ 2 ])

aS = Parameter(name = 'aS',
               nature = 'external',
               type = 'real',
               value = 0.118,
               texname = '\\text{aS}',
               lhablock = 'SMINPUTS',
               lhacode = [ 3 ])

ymb = Parameter(name = 'ymb',
                nature = 'external',
                type = 'real',
                value = 4.2,
                texname = '\\text{ymb}',
                lhablock = 'YUKAWA',
                lhacode = [ 5 ])

ymt = Parameter(name = 'ymt',
                nature = 'external',
                type = 'real',
                value = 174.3,
                texname = '\\text{ymt}',
                lhablock = 'YUKAWA',
                lhacode = [ 6 ])

ymtau = Parameter(name = 'ymtau',
                  nature = 'external',
                  type = 'real',
                  value = 1.777,
                  texname = '\\text{ymtau}',
                  lhablock = 'YUKAWA',
                  lhacode = [ 15 ])

RL = Parameter(name = 'RL',
               nature = 'external',
               type = 'real',
               value = 0.5,
               texname = '\\text{RL}',
               lhablock = 'Zeta',
               lhacode = [ 1 ])

MTA = Parameter(name = 'MTA',
                nature = 'external',
                type = 'real',
                value = 1.777,
                texname = '\\text{MTA}',
                lhablock = 'MASS',
                lhacode = [ 15 ])

MT = Parameter(name = 'MT',
               nature = 'external',
               type = 'real',
               value = 174.3,
               texname = '\\text{MT}',
               lhablock = 'MASS',
               lhacode = [ 6 ])

MB = Parameter(name = 'MB',
               nature = 'external',
               type = 'real',
               value = 4.2,
               texname = '\\text{MB}',
               lhablock = 'MASS',
               lhacode = [ 5 ])

MQ = Parameter(name = 'MQ',
               nature = 'external',
               type = 'real',
               value = 1000,
               texname = '\\text{MQ}',
               lhablock = 'MASS',
               lhacode = [ 6000005 ])

MQ = Parameter(name = 'MQ',
               nature = 'external',
               type = 'real',
               value = 1000,
               texname = '\\text{MQ}',
               lhablock = 'MASS',
               lhacode = [ 6000006 ])

MZ = Parameter(name = 'MZ',
               nature = 'external',
               type = 'real',
               value = 91.1876,
               texname = '\\text{MZ}',
               lhablock = 'MASS',
               lhacode = [ 23 ])

MH = Parameter(name = 'MH',
               nature = 'external',
               type = 'real',
               value = 125,
               texname = '\\text{MH}',
               lhablock = 'MASS',
               lhacode = [ 25 ])

WT = Parameter(name = 'WT',
               nature = 'external',
               type = 'real',
               value = 1.5101349,
               texname = '\\text{WT}',
               lhablock = 'DECAY',
               lhacode = [ 6 ])

WX = Parameter(name = 'WX',
               nature = 'external',
               type = 'real',
               value = 1,
               texname = '\\text{WX}',
               lhablock = 'DECAY',
               lhacode = [ 6000005 ])

WTP = Parameter(name = 'WTP',
                nature = 'external',
                type = 'real',
                value = 1,
                texname = '\\text{WTP}',
                lhablock = 'DECAY',
                lhacode = [ 6000006 ])

WZ = Parameter(name = 'WZ',
               nature = 'external',
               type = 'real',
               value = 2.44639985,
               texname = '\\text{WZ}',
               lhablock = 'DECAY',
               lhacode = [ 23 ])

WW = Parameter(name = 'WW',
               nature = 'external',
               type = 'real',
               value = 2.0353557,
               texname = '\\text{WW}',
               lhablock = 'DECAY',
               lhacode = [ 24 ])

WH = Parameter(name = 'WH',
               nature = 'external',
               type = 'real',
               value = 0.00679485838,
               texname = '\\text{WH}',
               lhablock = 'DECAY',
               lhacode = [ 25 ])

KT = Parameter(name = 'KT',
               nature = 'internal',
               type = 'real',
               value = 'gstar',
               texname = '\\text{KT}')

KX = Parameter(name = 'KX',
               nature = 'internal',
               type = 'real',
               value = 'gstar',
               texname = '\\text{KX}')

zetaTcL = Parameter(name = 'zetaTcL',
                    nature = 'internal',
                    type = 'real',
                    value = '0',
                    texname = '\\text{zetaTcL}')

zetaTcR = Parameter(name = 'zetaTcR',
                    nature = 'internal',
                    type = 'real',
                    value = '0',
                    texname = '\\text{zetaTcR}')

zetaTtL = Parameter(name = 'zetaTtL',
                    nature = 'internal',
                    type = 'real',
                    value = '1/(1 + RL)',
                    texname = '\\text{zetaTtL}')

zetaTtR = Parameter(name = 'zetaTtR',
                    nature = 'internal',
                    type = 'real',
                    value = '0',
                    texname = '\\text{zetaTtR}')

zetaTuL = Parameter(name = 'zetaTuL',
                    nature = 'internal',
                    type = 'real',
                    value = 'RL/(1 + RL)',
                    texname = '\\text{zetaTuL}')

zetaTuR = Parameter(name = 'zetaTuR',
                    nature = 'internal',
                    type = 'real',
                    value = '0',
                    texname = '\\text{zetaTuR}')

zetaXcL = Parameter(name = 'zetaXcL',
                    nature = 'internal',
                    type = 'real',
                    value = '0',
                    texname = '\\text{zetaXcL}')

zetaXcR = Parameter(name = 'zetaXcR',
                    nature = 'internal',
                    type = 'real',
                    value = '0',
                    texname = '\\text{zetaXcR}')

zetaXtL = Parameter(name = 'zetaXtL',
                    nature = 'internal',
                    type = 'real',
                    value = '1/(1 + RL)',
                    texname = '\\text{zetaXtL}')

zetaXtR = Parameter(name = 'zetaXtR',
                    nature = 'internal',
                    type = 'real',
                    value = '0',
                    texname = '\\text{zetaXtR}')

zetaXuL = Parameter(name = 'zetaXuL',
                    nature = 'internal',
                    type = 'real',
                    value = 'RL/(1 + RL)',
                    texname = '\\text{zetaXuL}')

zetaXuR = Parameter(name = 'zetaXuR',
                    nature = 'internal',
                    type = 'real',
                    value = '0',
                    texname = '\\text{zetaXuR}')

aEW = Parameter(name = 'aEW',
                nature = 'internal',
                type = 'real',
                value = '1/aEWM1',
                texname = '\\text{aEW}')

G = Parameter(name = 'G',
              nature = 'internal',
              type = 'real',
              value = '2*cmath.sqrt(aS)*cmath.sqrt(cmath.pi)',
              texname = 'G')

MW = Parameter(name = 'MW',
               nature = 'internal',
               type = 'real',
               value = 'cmath.sqrt(MZ**2/2. + cmath.sqrt(MZ**4/4. - (aEW*cmath.pi*MZ**2)/(Gf*cmath.sqrt(2))))',
               texname = 'M_W')

ee = Parameter(name = 'ee',
               nature = 'internal',
               type = 'real',
               value = '2*cmath.sqrt(aEW)*cmath.sqrt(cmath.pi)',
               texname = 'e')

KTcLh = Parameter(name = 'KTcLh',
                  nature = 'internal',
                  type = 'real',
                  value = 'cmath.sqrt(zetaTcL)',
                  texname = '\\text{KTcLh}')

KTcRh = Parameter(name = 'KTcRh',
                  nature = 'internal',
                  type = 'real',
                  value = 'cmath.sqrt(zetaTcR)',
                  texname = '\\text{KTcRh}')

KTtLh = Parameter(name = 'KTtLh',
                  nature = 'internal',
                  type = 'real',
                  value = 'cmath.sqrt(zetaTtL)',
                  texname = '\\text{KTtLh}')

KTtRh = Parameter(name = 'KTtRh',
                  nature = 'internal',
                  type = 'real',
                  value = 'cmath.sqrt(zetaTtR)',
                  texname = '\\text{KTtRh}')

KTuLh = Parameter(name = 'KTuLh',
                  nature = 'internal',
                  type = 'real',
                  value = 'cmath.sqrt(zetaTuL)',
                  texname = '\\text{KTuLh}')

KTuRh = Parameter(name = 'KTuRh',
                  nature = 'internal',
                  type = 'real',
                  value = 'cmath.sqrt(zetaTuR)',
                  texname = '\\text{KTuRh}')

sw2 = Parameter(name = 'sw2',
                nature = 'internal',
                type = 'real',
                value = '1 - MW**2/MZ**2',
                texname = '\\text{sw2}')

cw = Parameter(name = 'cw',
               nature = 'internal',
               type = 'real',
               value = 'cmath.sqrt(1 - sw2)',
               texname = 'c_w')

sw = Parameter(name = 'sw',
               nature = 'internal',
               type = 'real',
               value = 'cmath.sqrt(sw2)',
               texname = 's_w')

g1 = Parameter(name = 'g1',
               nature = 'internal',
               type = 'real',
               value = 'ee/cw',
               texname = 'g_1')

gw = Parameter(name = 'gw',
               nature = 'internal',
               type = 'real',
               value = 'ee/sw',
               texname = 'g_w')

KTcLz = Parameter(name = 'KTcLz',
                  nature = 'internal',
                  type = 'real',
                  value = '(ee*cmath.sqrt(zetaTcL))/(2.*cw*sw)',
                  texname = '\\text{KTcLz}')

KTcRz = Parameter(name = 'KTcRz',
                  nature = 'internal',
                  type = 'real',
                  value = '(ee*cmath.sqrt(zetaTcR))/(2.*cw*sw)',
                  texname = '\\text{KTcRz}')

KTtLz = Parameter(name = 'KTtLz',
                  nature = 'internal',
                  type = 'real',
                  value = '(ee*cmath.sqrt(zetaTtL))/(2.*cw*sw)',
                  texname = '\\text{KTtLz}')

KTtRz = Parameter(name = 'KTtRz',
                  nature = 'internal',
                  type = 'real',
                  value = '(ee*cmath.sqrt(zetaTtR))/(2.*cw*sw)',
                  texname = '\\text{KTtRz}')

KTuLz = Parameter(name = 'KTuLz',
                  nature = 'internal',
                  type = 'real',
                  value = '(ee*cmath.sqrt(zetaTuL))/(2.*cw*sw)',
                  texname = '\\text{KTuLz}')

KTuRz = Parameter(name = 'KTuRz',
                  nature = 'internal',
                  type = 'real',
                  value = '(ee*cmath.sqrt(zetaTuR))/(2.*cw*sw)',
                  texname = '\\text{KTuRz}')

KXcL = Parameter(name = 'KXcL',
                 nature = 'internal',
                 type = 'real',
                 value = '(ee*cmath.sqrt(zetaXcL))/(sw*cmath.sqrt(2))',
                 texname = '\\text{KXcL}')

KXcR = Parameter(name = 'KXcR',
                 nature = 'internal',
                 type = 'real',
                 value = '(ee*cmath.sqrt(zetaXcR))/(sw*cmath.sqrt(2))',
                 texname = '\\text{KXcR}')

KXtL = Parameter(name = 'KXtL',
                 nature = 'internal',
                 type = 'real',
                 value = '(ee*cmath.sqrt(zetaXtL))/(sw*cmath.sqrt(2))',
                 texname = '\\text{KXtL}')

KXtR = Parameter(name = 'KXtR',
                 nature = 'internal',
                 type = 'real',
                 value = '(ee*cmath.sqrt(zetaXtR))/(sw*cmath.sqrt(2))',
                 texname = '\\text{KXtR}')

KXuL = Parameter(name = 'KXuL',
                 nature = 'internal',
                 type = 'real',
                 value = '(ee*cmath.sqrt(zetaXuL))/(sw*cmath.sqrt(2))',
                 texname = '\\text{KXuL}')

KXuR = Parameter(name = 'KXuR',
                 nature = 'internal',
                 type = 'real',
                 value = '(ee*cmath.sqrt(zetaXuR))/(sw*cmath.sqrt(2))',
                 texname = '\\text{KXuR}')

v = Parameter(name = 'v',
              nature = 'internal',
              type = 'real',
              value = '(2*MW*sw)/ee',
              texname = 'v')

lam = Parameter(name = 'lam',
                nature = 'internal',
                type = 'real',
                value = 'MH**2/(2.*v**2)',
                texname = '\\text{lam}')

yb = Parameter(name = 'yb',
               nature = 'internal',
               type = 'real',
               value = '(ymb*cmath.sqrt(2))/v',
               texname = '\\text{yb}')

yt = Parameter(name = 'yt',
               nature = 'internal',
               type = 'real',
               value = '(ymt*cmath.sqrt(2))/v',
               texname = '\\text{yt}')

ytau = Parameter(name = 'ytau',
                 nature = 'internal',
                 type = 'real',
                 value = '(ymtau*cmath.sqrt(2))/v',
                 texname = '\\text{ytau}')

muH = Parameter(name = 'muH',
                nature = 'internal',
                type = 'real',
                value = 'cmath.sqrt(lam*v**2)',
                texname = '\\mu')

